Sign In with your
Trend Micro Account
Need Help?
Need More Help?

Create a technical support case if you need further support.

System Requirements for Worry-Free Business Security (WFBS) 7.0 Service Pack (SP) 1

    • Updated:
    • 8 Sep 2017
    • Product/Version:
    • Worry-Free Business Security Standard/Advanced 7.0
    • Platform:
    • Windows 2003 Enterprise
    • Windows 2003 Small Business Server
    • Windows 2003 Standard
    • Windows 2008 Enterprise
    • Windows 2008 Essential Business Server
    • Windows 2008 Small Business Server
    • Windows 2008 Standard
    • Windows 2011 Small Business Server Essentials
    • Windows 2011 Small Business Server Standard
    • Windows 7 32-bit
    • Windows 7 64-bit
    • Windows Vista 32-bit
    • Windows Vista 64-bit
    • Windows XP Professional

NOTE: You are viewing an archived article because the product(s) tagged is no longer supported or the information mentioned is already outdated.

Summary
This article lists down the system requirements for WFBS 7.0 SP 1.

Kindly log in using your MySupport account
to view the content of this archived article.